Удаленное выполнение произвольного кода в PHP

Дата публикации:
14.07.2004
Дата изменения:
17.10.2006
Всего просмотров:
1665
Опасность:
Критическая
Наличие исправления:
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Уязвимые версии: PHP 4.3.7 и более ранние версии. PHP 5.0.0RC3 и более ранние версии

Описание: Уязвимость обнаружена в PHP, когда компилирован с включенным параметром 'memory_limit'. Удаленный пользователь может выполнить произвольный код на целевой системе.

Удаленный пользователь может представить специально сформированный HTTP POST запрос, чтобы перехватить процесс выделения памяти пока Zend HashTables выделяется и инициализируется. Удаленный пользователь может представить специально обработанный HashTable destructor pointer и выполнить произвольный код на целевой системе.

URL производителя: http://www.php.net

Решение:Установите обновленную версию программы (4.3.8 или 5.0): http://www.php.net/downloads.php

Ссылки: Advisory 11/2004: PHP memory_limit remote vulnerability

или введите имя

CAPTCHA